<div class="heat-calc-form">
<form class="heat-calc-form--form" [formGroup]="heatIndexForm" (ngSubmit)="onSubmit()">
    <mat-form-field>
        <mat-label>Temperature</mat-label>
        <input matInput type="number" formControlName="temperature">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Temperature Unit</mat-label>
        <mat-select formControlName="temperatureUnit">
            <mat-option value="C">°C</mat-option>
            <mat-option value="F">°F</mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field>
        <mat-label>Relative Humidity (%)</mat-label>
        <input matInput type="number" formControlName="humidity">
    </mat-form-field>

    <button mat-button color="primary" type="submit">Calculate Heat Index</button>
</form>

<div *ngIf="heatIndexForm.get('temperature')?.errors?.['belowThreshold']">
    <p class="error-message">Temperature is below threshold.</p>
</div>

<p *ngIf="!heatIndexForm.get('temperature')?.errors?.['belowThreshold'] && !!heatIndex" >Heat Index: {{ heatIndex }}</p>